To Leopard or not to Leopard?

I just wanted to follow up on the post below, in which I said I'd be moving to Leopard once 10.5.2 came out.

Basically, I didn't, and I'm glad I didn't. It seems a lot of people are having severe problems with audio performance in 10.5.2. There are also problems with 10.4.11 (which I'm using) if you have the latest airport software installed (which I do), but fortunately turning off airport seems to fix it (well, perhaps 'fix' is being a bit generous - 'stop the audio problems at the expense of any wireless network connection' would be more accurate).

So, I'm waiting for 10.5.3. At least.

Meanwhile, I'm not getting any more reports of compatibility problems between Expert Sleepers plug-ins and Leopard, so it's looking pretty good on that front. Do let me know if your experience is less favourable.